<template>
  <NuxtLink rel="noopener noreferrer" :to="href" class="goBack">
    <svg xmlns="http://www.w3.org/2000/svg" width="15" height="14.828" viewBox="0 0 15 14.828">
      <g id="Icons_Arrows_Previuos" data-name="Icons/ Arrows/ Previuos" transform="translate(1 1.414)">
        <path id="Path" d="M6,12,0,6,6,0" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="2"/>
        <path id="Path-2" data-name="Path" d="M0,.5H13" transform="translate(0 5.5)" fill="none" stroke="#205072" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" stroke-width="2"/>
      </g>
    </svg>
  </NuxtLink>
</template>

<script>
import Vue from 'vue'

export default Vue.extend({
  props: ['target'],

  data() {
    return {
      href: '/',
    };
  },

  mounted() {
    if (this.target) {
      this.href = this.target;
    }
  },
})
</script>
